Skip to main content
Jump to: navigation, search

Difference between revisions of "Papyrus-RT/User/User Guide/Eclipse Installer"

(Download the Papyrus-RT configuration file)
(Updated installation instruction to get the setup file from the Papyrus-RT repository rather than having the user download it.)
Line 10: Line 10:
 
'''Note''': You will need Java 1.7 installed.
 
'''Note''': You will need Java 1.7 installed.
  
'''Note''': The instructions in this tutorial are illustrated using Linux. Steps and images may differ slightly if the installation is done on a different operating system (both Windows and Mac OS are supported for developing models). Some of these differences have been indicated when known, but some may also be missing.
+
'''Note''': The instructions in this tutorial are illustrated using screen captures from multiple operating systems. Steps and images may differ slightly if the installation is done on a different operating system (both Windows and Mac OS are supported for developing models). Some of these differences have been indicated when known, but some may also be missing.
  
 
== Install the Eclipse Installer ==
 
== Install the Eclipse Installer ==
Line 22: Line 22:
 
# Decompress the downloaded archive to a folder such as "'''~/Apps/EclipseInstaller/'''" ''(folder name and location will vary depending on operating system)''
 
# Decompress the downloaded archive to a folder such as "'''~/Apps/EclipseInstaller/'''" ''(folder name and location will vary depending on operating system)''
  
<div class="figure">[[Image:PapyrusRT-O-EclipseInstaller.png]]
+
<div class="figure">[[Image:PapyrusRT-O-EclipseInstaller.png]]
 
</div>
 
</div>
 
== Download the Papyrus-RT configuration file ==
 
 
# Right-click on the link following and select "Save link as" (or equivalent) to download the [http://git.eclipse.org/c/papyrus-rt/org.eclipse.papyrus-rt.git/plain/releng/org.eclipse.papyrus-rt.oomph/setups/Papyrus-RT.setup Papyrus-RT-specific configuration file] for the Eclipse Installer. You can use the folder from the previous step to store this file.
 
 
 
<div  class="figure">[[Image:PapyrusRT-O-configFile.png]]
 
</div> '''Note''': <code>Configuration file last updated on 2015.11.17</code>
 
  
 
== Install Papyrus for Real Time ==
 
== Install Papyrus for Real Time ==
Line 42: Line 34:
 
# Open the '''eclipse-installer''' folder and double-click on the '''eclipse-inst''' application.
 
# Open the '''eclipse-installer''' folder and double-click on the '''eclipse-inst''' application.
  
<div class="figure">[[Image:PapyrusRT-O-StartSclipseInstaller.png]]
+
<div class="figure">[[Image:PapyrusRT-O-StartSclipseInstaller.png]]
 
</div>
 
</div>
=== The Eclipse Installer Projects ===
+
 
 +
=== Skip ahead if Papyrus-RT setup is already available ===
 +
 
 +
If you see Papyrus-RT in the list of products after opening the Eclipse Installer, go to step [4]
 +
 
 +
<div class="figure">[[Image:PapyrusRT-O-SetupAvail.png]]
 +
</div>
 +
 
 +
== Add Papyrus-RT to the list of projects ==
  
 
You have now started the Eclipse Installer.
 
You have now started the Eclipse Installer.
Line 55: Line 55:
 
This has for effect to restart the Eclipse Installer in the &quot;Advanced Mode&quot;, which will allow you to specify an external setup file.
 
This has for effect to restart the Eclipse Installer in the &quot;Advanced Mode&quot;, which will allow you to specify an external setup file.
  
<div class="figure">[[Image:PapyrusRT-O-EclipseInstallerProjects.png]]
+
<div class="figure">[[Image:PapyrusRT-O-EclipseInstallerProjects.png]]
 
</div>
 
</div>
  
Line 62: Line 62:
 
You can now set up the Papyrus-RT configuration that will define the how to install the product.
 
You can now set up the Papyrus-RT configuration that will define the how to install the product.
  
'''Note''': <code>I you previously installed Papyrus-RT and now have a more recent configuration file, you should delete the old one before adding the new one.</code>
+
# Select the '''&lt;User Products&gt;''' from the list.
 
+
# Select the  from the list.
+
 
# Click on the '''[+]''' to the right of the filter box to add a user product.
 
# Click on the '''[+]''' to the right of the filter box to add a user product.
# In the resulting dialog, click on '''[Browse File System...]'''.
+
# In the resulting dialog, enter the following URL in the "'''Resource URIs:'''" box.<br/><nowiki>http://git.eclipse.org/c/papyrus-rt/org.eclipse.papyrus-rt.git/plain/releng/org.eclipse.papyrus-rt.oomph/setups/Papyrus-RT.setup</nowiki>
# Navigate to the folder where you saved the &quot;'''Papyrus-rt.setup'''&quot; file.
+
 
# Click '''[OK]'''.
 
# Click '''[OK]'''.
# The Papyrus-RT.setup file is shown in the dialog.
 
# Click '''[OK]''' to complete the selelection.
 
  
<div class="figure">[[Image:PapyrusRT-O-SetUpConfig.png]]
+
<div class="figure">[[Image:PapyrusRT-O-SetUpConfig.png]]
 
</div>
 
</div>
  
Line 78: Line 73:
  
 
The Papyrus-RT product is now available in the list of products.
 
The Papyrus-RT product is now available in the list of products.
 
  
 
# Click on the &quot;'''Switch to simple mode'''&quot; button to get back to the simpler interface.
 
# Click on the &quot;'''Switch to simple mode'''&quot; button to get back to the simpler interface.
Line 90: Line 84:
  
 
# Click on '''[Papyrus-RT]'''
 
# Click on '''[Papyrus-RT]'''
 +
# Select the desired version of Papyrus-RT to install (latest version is shown by default)
 
# Validate the Java VM
 
# Validate the Java VM
 
# Pick the location for the installation
 
# Pick the location for the installation
 
# Click on '''[Install]'''
 
# Click on '''[Install]'''
  
<div class="figure">[[Image:PapyrusRT-O-Install.png]]
+
<div class="figure">[[Image:PapyrusRT-O-Install.png]]
</div>
+
 
+
=== Accept the licenses ===
+
 
+
You will have to accept the licences to continue the installation.
+
 
+
# Review and '''[Accept]''' the licenses
+
 
+
<div  class="figure">[[Image:PapyrusRT-O-AcceptLicenses.png]]
+
</div>
+
 
+
=== Accept unsigned content ===
+
 
+
Some of the Papyrus-RT content is unsigned at the time these instructions were created.
+
 
+
# Click '''[Accept]'''.
+
 
+
<div  class="figure">[[Image:PapyrusRT-O-AcceptUnsignedContent.png]]
+
 
</div>
 
</div>
  
Line 119: Line 96:
 
You can now click on '''[LAUNCH]''' to start creating models!
 
You can now click on '''[LAUNCH]''' to start creating models!
  
<div class="figure">[[Image:PapyrusRT-O-Launch.png]]
+
<div class="figure">[[Image:PapyrusRT-O-Launch.png]]
 
</div>
 
</div>
  
Line 128: Line 105:
 
== Done! ==
 
== Done! ==
  
<div class="figure">[[Image:PapyrusRT-O-Done.png]]
+
<div class="figure">[[Image:PapyrusRT-O-Done.png]]
 
</div>
 
</div>

Revision as of 15:25, 18 November 2015

Installing Papyrus for Real Time using the Eclipse Installer

Introduction

This tutorial will show you how to install Papyrus for Real Time using the Oomph-based Eclipse Installer.

Note: You will need Java 1.7 installed.

Note: The instructions in this tutorial are illustrated using screen captures from multiple operating systems. Steps and images may differ slightly if the installation is done on a different operating system (both Windows and Mac OS are supported for developing models). Some of these differences have been indicated when known, but some may also be missing.

Install the Eclipse Installer

First, you will need to download and install the Eclipse Installer.

Note: If you are installing into an existing Eclipse workbench, you can follow the instructions on the "[Papyrus-RT/User Guide/Installation | Installing Papyrus for Real Time - Manual Installation]" tutorial.

  1. Go to http://wiki.eclipse.org/Eclipse_Installer
  2. Download the "Eclipse Installer" package for your operating system
  3. Decompress the downloaded archive to a folder such as "~/Apps/EclipseInstaller/" (folder name and location will vary depending on operating system)
PapyrusRT-O-EclipseInstaller.png

Install Papyrus for Real Time

Now that the installer is available and you have the Papyrus-RT installation configuration file, you can install the software.


Start the Eclipse Installer

  1. Open the eclipse-installer folder and double-click on the eclipse-inst application.
PapyrusRT-O-StartSclipseInstaller.png

Skip ahead if Papyrus-RT setup is already available

If you see Papyrus-RT in the list of products after opening the Eclipse Installer, go to step [4]

PapyrusRT-O-SetupAvail.png

Add Papyrus-RT to the list of projects

You have now started the Eclipse Installer.

However, the Papyrus-RT product is not available in the list of projects presented to you. You will have to manually add it to the list.

  1. Click on the icon at the top right.
  2. Select "Advanced Mode..."

This has for effect to restart the Eclipse Installer in the "Advanced Mode", which will allow you to specify an external setup file.

PapyrusRT-O-EclipseInstallerProjects.png

Set up the Papyrus-RT configuration

You can now set up the Papyrus-RT configuration that will define the how to install the product.

  1. Select the <User Products> from the list.
  2. Click on the [+] to the right of the filter box to add a user product.
  3. In the resulting dialog, enter the following URL in the "Resource URIs:" box.
    http://git.eclipse.org/c/papyrus-rt/org.eclipse.papyrus-rt.git/plain/releng/org.eclipse.papyrus-rt.oomph/setups/Papyrus-RT.setup
  4. Click [OK].
PapyrusRT-O-SetUpConfig.png

Go back to simple mode

The Papyrus-RT product is now available in the list of products.

  1. Click on the "Switch to simple mode" button to get back to the simpler interface.
PapyrusRT-O-Back2SimpleMode.png

Install Papyrus-RT

You can now install the Papyrus-RT product

  1. Click on [Papyrus-RT]
  2. Select the desired version of Papyrus-RT to install (latest version is shown by default)
  3. Validate the Java VM
  4. Pick the location for the installation
  5. Click on [Install]
PapyrusRT-O-Install.png

Launch!

You can now click on [LAUNCH] to start creating models!

PapyrusRT-O-Launch.png

[Optional and Recommended] Install Eclipse CDT

If you plan on doing more than just modeling using UML-RT, such as generating, building, and running C++ code, you will also need to install the Eclipse CDT.

Done!

PapyrusRT-O-Done.png

Back to the top